// Garden Gnome Software - Skin
// Pano2VR 3.1.4/1952
// Filename: dropdown_menu.ggsk
// Generated lun 30. jul 12:52:03 2012

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._dropdown_menu=document.createElement('div');
		this._dropdown_menu.ggId='dropdown_menu'
		this._dropdown_menu.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._dropdown_menu.ggVisible=true;
		this._dropdown_menu.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-155 + w) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -155px;';
		hs+='top:  5px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._dropdown_menu.setAttribute('style',hs);
		this._menu_select_a=document.createElement('div');
		this._menu_select_a.ggId='menu_select_a'
		this._menu_select_a.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_a.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._menu_select_a.setAttribute('style',hs);
		this._menu_select_a__img=document.createElement('img');
		this._menu_select_a__img.setAttribute('src',basePath + 'images/menu_select_a.png');
		this._menu_select_a__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_select_a__img);
		this._menu_select_a.appendChild(this._menu_select_a__img);
		this._menu_select_title_a=document.createElement('div');
		this._menu_select_title_a.ggId='menu_select_title_a'
		this._menu_select_title_a.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_a.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._menu_select_title_a.setAttribute('style',hs);
		this._menu_select_title_a.innerHTML="Room One";
		this._menu_select_a.appendChild(this._menu_select_title_a);
		this._menu_button_a=document.createElement('div');
		this._menu_button_a.ggId='menu_button_a'
		this._menu_button_a.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_button_a.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_button_a.setAttribute('style',hs);
		this._menu_button_a__img=document.createElement('img');
		this._menu_button_a__img.setAttribute('src',basePath + 'images/menu_button_a.png');
		this._menu_button_a__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_button_a__img);
		this._menu_button_a.appendChild(this._menu_button_a__img);
		this._menu_button_a.onclick=function () {
			me._menu_active_a.style[domTransition]='none';
			me._menu_active_a.ggParameter.sx=1;me._menu_active_a.ggParameter.sy=1;
			me._menu_active_a.style[domTransform]=parameterToTransform(me._menu_active_a.ggParameter);
			var list=me.findElements('menu_active_[b,c]',true);
			while(list.length>0) {
				var e=list.pop();
				e.style[domTransition]='none';
				e.ggParameter.sx=0;e.ggParameter.sy=0;
				e.style[domTransform]=parameterToTransform(e.ggParameter);
			}
			me.player.openNext("menu.swf","");
		}
		this._menu_select_a.appendChild(this._menu_button_a);
		this._menu_active_a=document.createElement('div');
		this._menu_active_a.ggId='menu_active_a'
		this._menu_active_a.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_active_a.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._menu_active_a.setAttribute('style',hs);
		this._menu_active_a__img=document.createElement('img');
		this._menu_active_a__img.setAttribute('src',basePath + 'images/menu_active_a.png');
		this._menu_active_a__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_active_a__img);
		this._menu_active_a.appendChild(this._menu_active_a__img);
		this._menu_select_a.appendChild(this._menu_active_a);
		this._dropdown_menu.appendChild(this._menu_select_a);
		this._menu_select_b=document.createElement('div');
		this._menu_select_b.ggId='menu_select_b'
		this._menu_select_b.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_b.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._menu_select_b.setAttribute('style',hs);
		this._menu_select_b__img=document.createElement('img');
		this._menu_select_b__img.setAttribute('src',basePath + 'images/menu_select_b.png');
		this._menu_select_b__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_select_b__img);
		this._menu_select_b.appendChild(this._menu_select_b__img);
		this._menu_select_title_b=document.createElement('div');
		this._menu_select_title_b.ggId='menu_select_title_b'
		this._menu_select_title_b.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_b.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._menu_select_title_b.setAttribute('style',hs);
		this._menu_select_title_b.innerHTML="Room Two";
		this._menu_select_b.appendChild(this._menu_select_title_b);
		this._menu_button_b=document.createElement('div');
		this._menu_button_b.ggId='menu_button_b'
		this._menu_button_b.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_button_b.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_button_b.setAttribute('style',hs);
		this._menu_button_b__img=document.createElement('img');
		this._menu_button_b__img.setAttribute('src',basePath + 'images/menu_button_b.png');
		this._menu_button_b__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_button_b__img);
		this._menu_button_b.appendChild(this._menu_button_b__img);
		this._menu_button_b.onclick=function () {
			me._menu_active_b.style[domTransition]='none';
			me._menu_active_b.ggParameter.sx=1;me._menu_active_b.ggParameter.sy=1;
			me._menu_active_b.style[domTransform]=parameterToTransform(me._menu_active_b.ggParameter);
			var list=me.findElements('menu_active_[a,c]',true);
			while(list.length>0) {
				var e=list.pop();
				e.style[domTransition]='none';
				e.ggParameter.sx=0;e.ggParameter.sy=0;
				e.style[domTransform]=parameterToTransform(e.ggParameter);
			}
			me.player.openNext("two.swf","");
		}
		this._menu_select_b.appendChild(this._menu_button_b);
		this._menu_active_b=document.createElement('div');
		this._menu_active_b.ggId='menu_active_b'
		this._menu_active_b.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._menu_active_b.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._menu_active_b.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._menu_active_b.setAttribute('style',hs);
		this._menu_active_b__img=document.createElement('img');
		this._menu_active_b__img.setAttribute('src',basePath + 'images/menu_active_b.png');
		this._menu_active_b__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_active_b__img);
		this._menu_active_b.appendChild(this._menu_active_b__img);
		this._menu_select_b.appendChild(this._menu_active_b);
		this._dropdown_menu.appendChild(this._menu_select_b);
		this._menu_select_c=document.createElement('div');
		this._menu_select_c.ggId='menu_select_c'
		this._menu_select_c.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_c.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._menu_select_c.setAttribute('style',hs);
		this._menu_select_c__img=document.createElement('img');
		this._menu_select_c__img.setAttribute('src',basePath + 'images/menu_select_c.png');
		this._menu_select_c__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_select_c__img);
		this._menu_select_c.appendChild(this._menu_select_c__img);
		this._menu_select_title_c=document.createElement('div');
		this._menu_select_title_c.ggId='menu_select_title_c'
		this._menu_select_title_c.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_c.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._menu_select_title_c.setAttribute('style',hs);
		this._menu_select_title_c.innerHTML="Room Three";
		this._menu_select_c.appendChild(this._menu_select_title_c);
		this._menu_button_c=document.createElement('div');
		this._menu_button_c.ggId='menu_button_c'
		this._menu_button_c.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_button_c.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_button_c.setAttribute('style',hs);
		this._menu_button_c__img=document.createElement('img');
		this._menu_button_c__img.setAttribute('src',basePath + 'images/menu_button_c.png');
		this._menu_button_c__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_button_c__img);
		this._menu_button_c.appendChild(this._menu_button_c__img);
		this._menu_button_c.onclick=function () {
			me._menu_active_c.style[domTransition]='none';
			me._menu_active_c.ggParameter.sx=1;me._menu_active_c.ggParameter.sy=1;
			me._menu_active_c.style[domTransform]=parameterToTransform(me._menu_active_c.ggParameter);
			var list=me.findElements('menu_active_[a,b]',true);
			while(list.length>0) {
				var e=list.pop();
				e.style[domTransition]='none';
				e.ggParameter.sx=0;e.ggParameter.sy=0;
				e.style[domTransform]=parameterToTransform(e.ggParameter);
			}
			me.player.openNext("three.swf","");
		}
		this._menu_select_c.appendChild(this._menu_button_c);
		this._menu_active_c=document.createElement('div');
		this._menu_active_c.ggId='menu_active_c'
		this._menu_active_c.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._menu_active_c.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._menu_active_c.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._menu_active_c.setAttribute('style',hs);
		this._menu_active_c__img=document.createElement('img');
		this._menu_active_c__img.setAttribute('src',basePath + 'images/menu_active_c.png');
		this._menu_active_c__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_active_c__img);
		this._menu_active_c.appendChild(this._menu_active_c__img);
		this._menu_select_c.appendChild(this._menu_active_c);
		this._dropdown_menu.appendChild(this._menu_select_c);
		this._menu_bg=document.createElement('div');
		this._menu_bg.ggId='menu_bg'
		this._menu_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_bg.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._menu_bg.setAttribute('style',hs);
		this._menu_bg__img=document.createElement('img');
		this._menu_bg__img.setAttribute('src',basePath + 'images/menu_bg.png');
		this._menu_bg__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_bg__img);
		this._menu_bg.appendChild(this._menu_bg__img);
		this._menu_title=document.createElement('div');
		this._menu_title.ggId='menu_title'
		this._menu_title.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_title.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._menu_title.setAttribute('style',hs);
		this._menu_title.innerHTML="Menu Title";
		this._menu_bg.appendChild(this._menu_title);
		this._menu_down=document.createElement('div');
		this._menu_down.ggId='menu_down'
		this._menu_down.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_down.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  -2px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_down.setAttribute('style',hs);
		this._menu_down__img=document.createElement('img');
		this._menu_down__img.setAttribute('src',basePath + 'images/menu_down.png');
		this._menu_down__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_down__img);
		this._menu_down.appendChild(this._menu_down__img);
		this._menu_down.onclick=function () {
			me._menu_down.style[domTransition]='none';
			me._menu_down.ggParameter.sx=0;me._menu_down.ggParameter.sy=0;
			me._menu_down.style[domTransform]=parameterToTransform(me._menu_down.ggParameter);
			me._menu_up.style[domTransition]='none';
			me._menu_up.ggParameter.sx=1;me._menu_up.ggParameter.sy=1;
			me._menu_up.style[domTransform]=parameterToTransform(me._menu_up.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_a.style[domTransition]='none';
			} else {
				me._menu_select_a.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_a.ggParameter.rx=0;me._menu_select_a.ggParameter.ry=22;
			me._menu_select_a.style[domTransform]=parameterToTransform(me._menu_select_a.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_b.style[domTransition]='none';
			} else {
				me._menu_select_b.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_b.ggParameter.rx=0;me._menu_select_b.ggParameter.ry=44;
			me._menu_select_b.style[domTransform]=parameterToTransform(me._menu_select_b.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_c.style[domTransition]='none';
			} else {
				me._menu_select_c.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_c.ggParameter.rx=0;me._menu_select_c.ggParameter.ry=66;
			me._menu_select_c.style[domTransform]=parameterToTransform(me._menu_select_c.ggParameter);
		}
		this._menu_down.onmouseover=function () {
			me._menu_title.innerHTML="Open Menu";
			if (me._menu_title.ggUpdateText) {
				me._menu_title.ggUpdateText=function() {
					me._menu_title.innerHTML="Open Menu";
				}
			}
		}
		this._menu_down.onmouseout=function () {
			me._menu_title.innerHTML="Menu Title";
			if (me._menu_title.ggUpdateText) {
				me._menu_title.ggUpdateText=function() {
					me._menu_title.innerHTML="Menu Title";
				}
			}
		}
		this._menu_bg.appendChild(this._menu_down);
		this._menu_up=document.createElement('div');
		this._menu_up.ggId='menu_up'
		this._menu_up.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._menu_up.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  -2px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._menu_up.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_up.setAttribute('style',hs);
		this._menu_up__img=document.createElement('img');
		this._menu_up__img.setAttribute('src',basePath + 'images/menu_up.png');
		this._menu_up__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._menu_up__img);
		this._menu_up.appendChild(this._menu_up__img);
		this._menu_up.onclick=function () {
			var list=me.findElements('menu_select_.*',true);
			while(list.length>0) {
				var e=list.pop();
				if (me.player.transitionsDisabled) {
					e.style[domTransition]='none';
				} else {
					e.style[domTransition]='all 1000ms ease-out 0ms';
				}
				e.ggParameter.rx=0;e.ggParameter.ry=0;
				e.style[domTransform]=parameterToTransform(e.ggParameter);
			}
			me._menu_up.style[domTransition]='none';
			me._menu_up.ggParameter.sx=0;me._menu_up.ggParameter.sy=0;
			me._menu_up.style[domTransform]=parameterToTransform(me._menu_up.ggParameter);
			me._menu_down.style[domTransition]='none';
			me._menu_down.ggParameter.sx=1;me._menu_down.ggParameter.sy=1;
			me._menu_down.style[domTransform]=parameterToTransform(me._menu_down.ggParameter);
		}
		this._menu_up.onmouseover=function () {
			me._menu_title.innerHTML="Close Menu";
			if (me._menu_title.ggUpdateText) {
				me._menu_title.ggUpdateText=function() {
					me._menu_title.innerHTML="Close Menu";
				}
			}
		}
		this._menu_up.onmouseout=function () {
			me._menu_title.innerHTML="Menu Title";
			if (me._menu_title.ggUpdateText) {
				me._menu_title.ggUpdateText=function() {
					me._menu_title.innerHTML="Menu Title";
				}
			}
		}
		this._menu_bg.appendChild(this._menu_up);
		this._dropdown_menu.appendChild(this._menu_bg);
		this.divSkin.appendChild(this._dropdown_menu);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
		if (id=='menu') {
			me._menu_button_a.onclick();
		}
		if (id=='two') {
			me._menu_button_b.onclick();
		}
		if (id=='three') {
			me._menu_button_c.onclick();
		}
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	this.addSkin();
};